# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "nfe/version"

Gem::Specification.new do |spec|
  spec.name          = "nf-e"
  spec.version       = Nfe::VERSION
  spec.authors       = ["ASSEINFO - Sistemas de Informação"]
  spec.email         = ["asseinfo@asseinfo.com.br"]
  spec.description   = "Solução para criar, validar e transmitir NF-e"
  spec.summary       = "Solução para criar, validar e transmitir NF-e"
  spec.homepage      = "http://github.com/asseinfo/nf-e"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  spec.required_ruby_version = ">= 2.0"

  spec.add_dependency "activemodel",  ">= 4.0"
  spec.add_dependency "builder",      ">= 3.1.4"
  spec.add_dependency "enumerize",    ">= 0.7.0"
  spec.add_dependency "nokogiri",     ">= 1.6.2.1"
  spec.add_dependency "savon",        "~> 2.8.1"
  spec.add_dependency "br_documents", ">= 0.0.6"
  spec.add_dependency "httpclient",   "~> 2.6.0.1"
  spec.add_dependency "rubyntlm",     "~> 0.3.2"

  spec.add_development_dependency "bundler",          ">= 1.3"
  spec.add_development_dependency "byebug",           "3.5.1"
  spec.add_development_dependency "factory_girl",     "4.2.0"
  spec.add_development_dependency "rake",             "10.1.0"
  spec.add_development_dependency "rails",            ">= 4.0.0"
  spec.add_development_dependency "rspec-rails",      "2.99"
  spec.add_development_dependency "shoulda-matchers", "2.7.0"
  spec.add_development_dependency "simplecov",        ">= 0.9.0"
  spec.add_development_dependency "vcr",              "2.9.3"
  spec.add_development_dependency "webmock",          "1.16.1"
  spec.add_development_dependency "codeclimate-test-reporter"
end
