FactoryGirl.define do
  factory :cana, class: Nfe::Models::Cane::Cana do
    safra "2013"
    ref "11/2013"

    after(:build) do |cana|
      3.times do |n|
        cana.forDia << build(:forDia, dia: n+1)
      end
    end

    qTotMes "99999999999.9999999999"
    qTotAnt "99999999999.9999999999"
    qTotGer "99999999999.9999999999"

    after(:build) do |cana|
      2.times do |n|
        cana.deduc << build(:deduc, xDed: "Deduc#{n}")
      end
    end

    vFor 12345.67
    vTotDed 12345.67
    vLiqFor 12345.67
  end
end
