FactoryGirl.define do
  factory :evento, class: Nfe::Models::Evento do
    versao "1.00"
    uf "RS"
    tpAmb "1"
    tpEvento "110111"
    nSeqEvento "1"
    cnpj "01603301000504"
    cpf "11144477735"
    chNFe "12345678912345678912345678912345678912345678"
    dhEvento DateTime.parse "2013-04-03T10:08:42-03:00"
    association :detEvento, factory: :detEventoCancel, strategy: :build
    association :signature, strategy: :build
  end
end
