FactoryGirl.define do
  factory :infNFe, class: Nfe::Models::InfNFe do
    versao "3.10"

    association :ide, strategy: :build
    association :emit, strategy: :build
    association :avulsa, strategy: :build
    association :dest, strategy: :build
    association :retirada, strategy: :build, factory: :entrega_retirada
    association :entrega, strategy: :build, factory: :entrega_retirada

    after(:build) do |infNFe|
      2.times do |n|
        infNFe.det << build(:det, nItem: "#{n+1}")
      end
    end

    association :total, strategy: :build
    association :transp, strategy: :build
    association :cobr, strategy: :build
    association :infAdic, strategy: :build
    association :exporta, strategy: :build
    association :compra, strategy: :build
    association :cana, strategy: :build
  end
end
