FactoryGirl.define do

  factory :infAdic, class: Nfe::Models::Information::InfAdic do
    infAdFisco "AAAAAAAAAA"
    infCpl "OOOOOOOOOO"

    after(:build) do |infAdic|
      2.times do |n|
        infAdic.obsCont << build(:obsContFisco, xCampo:"Campo#{n}", xTexto: "Texto#{n}")
      end

      2.times do |n|
        infAdic.obsFisco << build(:obsContFisco, xCampo:"Campo#{n}", xTexto: "Texto#{n}")
      end

      2.times do |n|
        infAdic.procRef << build(:procRef, nProc: "Texto#{n}", indProc: n)
      end
    end
  end

end

