FactoryGirl.define do
  factory :cofins_when_aliq, class: Nfe::Models::Taxes::PISCOFINS do
    cst "02"
    vBC 12345.67
    tax 98.76
    value 23456.78

    initialize_with { new("cofins") }
  end

  factory :cofins_when_qtde, class: Nfe::Models::Taxes::PISCOFINS do
    cst "03"
    qBCProd 12345.6789
    vAliqProd 78901.2345
    value 23456.78

    initialize_with { new("cofins") }
  end

  factory :cofins_when_nt, class: Nfe::Models::Taxes::PISCOFINS do
    cst "04"

    initialize_with { new("cofins") }
  end

  factory :cofins_when_outr, class: Nfe::Models::Taxes::PISCOFINS do
    cst "99"
    vBC 98765.43
    tax 123.45
    qBCProd 12345.6789
    vAliqProd 78901.2345
    value 23456.78

    initialize_with { new("cofins") }
  end

  factory :pis_when_aliq, class: Nfe::Models::Taxes::PISCOFINS do
    cst "02"
    vBC 12_345.67
    tax 98.76
    value 23_456.78

    initialize_with { new("pis") }
  end

  factory :pis_when_qtde, class: Nfe::Models::Taxes::PISCOFINS do
    cst "03"
    qBCProd 12_345.6789
    vAliqProd 78_901.2345
    value 23_456.78

    initialize_with { new("pis") }
  end

  factory :pis_when_nt, class: Nfe::Models::Taxes::PISCOFINS do
    cst "04"

    initialize_with { new("pis") }
  end

  factory :pis_when_outr, class: Nfe::Models::Taxes::PISCOFINS do
    cst "99"
    vBC 98_765.43
    tax 123.45
    qBCProd 12_345.6789
    vAliqProd 78_901.2345
    value 23_456.78

    initialize_with { new("pis") }
  end

end
