FactoryGirl.define do
  factory :cofinsOutr, class: Nfe::Models::Taxes::PISCOFINSOutr do
    cst "99"
    vBC 98765.43
    tax 123.45
    qBCProd 12345.6789
    vAliqProd 78901.2345
    value 23456.78

    initialize_with { new("pCOFINS", "vCOFINS") }
  end

  factory :pisOutr, class: Nfe::Models::Taxes::PISCOFINSOutr do
    cst "99"
    vBC 98765.43
    tax 123.45
    qBCProd 12345.6789
    vAliqProd 78901.2345
    value 23456.78

    initialize_with { new("pPIS", "vPIS") }
  end
end
