require "spec_helper"
require_relative "shared_examples_for_ICMS103"

describe Nfe::Models::Taxes::ICMS103 do
  subject { build(:icms103) }

  it "has a valid factory" do
    expect(subject).to be_valid
  end

  it { is_expected.to validate_inclusion_of(:orig).in_array([0, 1, 2]) }
  it { is_expected.to validate_presence_of :csosn }

  it_should_behave_like "a ICMS103", :icms103, "", Nfe::Models::Taxes::ICMS103.new
end
