require "spec_helper"

describe Nfe::Webservices::Wsinfo::ConsultEmitter do
  subject { described_class.new(nil, nil)}

  before do
    allow_any_instance_of(Nfe::Webservices::Wsinfo::WsdlFinder).
      to receive(:consult_emitter).and_return("foo")
  end

  describe '#service' do
    subject { super().service }
    it { is_expected.to eq :consulta_cadastro2 }
  end

  describe '#namespace' do
    subject { super().namespace }
    it do
    is_expected.to eq "http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2"
  end
  end

  describe '#url' do
    subject { super().url }
    it { is_expected.to eq "foo" }
  end

  describe '#version' do
    subject { super().version }
    it { is_expected.to eq "2.00" }
  end

  describe '#schema' do
    subject { super().schema }
    it { is_expected.to eq "consCad_v2.00.xsd" }
  end
end
