require "spec_helper"
require_relative "../shared_examples_for_wsdl"

describe Nfe::Webservices::Wsinfo::Production::Svan do

  let(:host) { "https://www.sefazvirtual.fazenda.gov.br/" }

  let(:authorize) { "NfeAutorizacao/NfeAutorizacao.asmx?wsdl" }

  let(:situation) { "NfeConsulta2/NfeConsulta2.asmx?wsdl" }

  let(:disenable) { "NfeInutilizacao2/NfeInutilizacao2.asmx?wsdl" }

  let(:event) { "RecepcaoEvento/RecepcaoEvento.asmx?wsdl" }

  let(:service_status) { "NfeStatusServico2/NfeStatusServico2.asmx?wsdl" }

  describe "#consult_emitter" do
    it "expects throw an exception" do
      expect { subject.consult_emitter }.to raise_error(
        I18n.t("webservice.unsupported_service"))
    end
  end

  it_should_behave_like "a wsdl", has_consult_emitter: false
end
