require "spec_helper"
require_relative "../shared_examples_for_wsdl"

describe Nfe::Webservices::Wsinfo::Test::Svrs do

  let(:host) { "https://nfe-homologacao.svrs.rs.gov.br/ws/" }

  let(:authorize) { "NfeAutorizacao/NFeAutorizacao.asmx?wsdl" }

  let(:situation) { "NfeConsulta/NfeConsulta2.asmx?wsdl" }

  let(:disenable) { "nfeinutilizacao/nfeinutilizacao2.asmx?wsdl" }

  let(:event) { "recepcaoevento/recepcaoevento.asmx?wsdl" }

  let(:service_status) { "NfeStatusServico/NfeStatusServico2.asmx?wsdl" }

  let(:consult_emitter) { "https://cad-homologacao.svrs.rs.gov.br/ws/cadconsultacadastro/cadconsultacadastro2.asmx?wsdl" }

  it_should_behave_like "a wsdl"
end
