FactoryGirl.define do

  factory :ide, class: Nfe::Models::Ide do
    uf "SC"
    cNF "12345678"
    natOp "5101-Venda de producao do estabelecimento"
    indPag :installment_payment
    serie "123"
    nNF "123456789"
    dhEmi DateTime.strptime("2013-09-17T13:00:15-03:00", "%Y-%m-%dT%H:%M:%S%:z")
    dhSaiEnt DateTime.strptime("2013-09-18T02:01:12-03:00", "%Y-%m-%dT%H:%M:%S%:z")
    tpNF :departure
    cMunFG "1234567"
    tpImp :portrait
    tpEmis "1"
    cDV "1"
    tpAmb :production
    idDest :state
    finNFe :normal
    verProc "1"
    dhCont DateTime.strptime("2013-09-18T02:01:12-03:00", "%Y-%m-%dT%H:%M:%S%:z")
    xJust "A" * 15

    after(:build) do |ide|

      ide.NFref << build(:NFref, refNFe: "#{"1" * 44}", refCTe: nil, refNF: nil,
        refNFP: nil, refECF: nil)

      ide.NFref << build(:NFref, refCTe: "#{"2" * 44}", refNFe: nil, refNF: nil,
       refNFP: nil, refECF: nil)

      ide.NFref << build(:NFref, refNFe: nil, refCTe: nil, refNFP: nil,
        refECF: nil)

      ide.NFref << build(:NFref, refNFe: nil, refCTe: nil, refNF: nil,
        refECF: nil)

      ide.NFref << build(:NFref, refCTe: nil, refNFe: nil, refNF: nil,
       refNFP: nil)

    end
  end
end
