FactoryGirl.define do
  factory :prod, class: Nfe::Models::Itens::Prod do
    cProd "1"
    cEAN "111444772735"
    xProd "Nome do produto"
    ncm "02084000"
    extipi "12"
    cfop "1101"
    uCom "Un"
    qCom 99999999999.99
    vUnCom 99999999999.99
    vProd 99999999999.99
    cEANTrib "12345678"
    uTrib "Un"
    qTrib 99999999999.99
    vUnTrib 99999999999.99
    vFrete 99999999999.99
    vSeg 99999999999.99
    vDesc 99999999999.99
    vOutro 99999999999.99
    indTot 0

    after(:build) do |prod|
      2.times do |n|
        prod.di << build(:di, nDI: "12X3ABC4#{n}")
      end
    end

    xPed "1234"
    nItemPed "000001"

    association :veicProd, strategy: :build

    after(:build) do |prod|
      3.times do |n|
        prod.med << build(:med, nLote: "12345678#{n}")
      end
    end

    after(:build) do |prod|
      2.times do |n|
        prod.arma << build(:arma, nSerie: "12345#{n}")
      end
    end

    association :comb, factory: :comb, strategy: :build
  end
end
