FactoryGirl.define do

  factory :ipi, class: Nfe::Models::Taxes::IPI do
    clEnq "12345"
    cnpjProd "01144012000152"
    cSelo "A" * 60
    qSelo 123456789012

    factory(:ipi_when_Trib) do
      cst "50"
      vBC   12345.67
      pIPI  988.76
      qUnid 123.66
      vUnid 78.65
      vIPI  23456.78
    end

    factory(:ipi_when_NT) do
      cst "01"
    end

  end

end
