FactoryGirl.define do

  factory :imposto, class: Nfe::Models::Taxes::Imposto do
    vTotTrib 10.4
    association :icms, factory: :icms_when_ICMS00, strategy: :build
    association :ipi, factory: :ipi_when_Trib, strategy: :build
    association :ii, strategy: :build
    association :pis, factory: :pis_when_aliq, strategy: :build
    association :pisst, strategy: :build
    association :cofins, factory: :cofins_when_aliq, strategy: :build
    association :cofinsst, strategy: :build
    association :issqn, strategy: :build
  end

end
