FactoryGirl.define do
  factory :transp, class: Nfe::Models::Transport::Transp do
    modFrete :recipient
    vagao "V" * 20
    balsa "B" * 20
    association :transporta, strategy: :build
    association :retTransp, strategy: :build
    association :veicTransp, strategy: :build, factory: :veicTranspReboque

    after(:build) do |transp|
      2.times { |n| transp.reboque << build(:veicTranspReboque, placa: "AAA111#{n}" ) }
    end

    after(:build) do |transp|
      2.times { |n| transp.vol << build(:vol, qVol: n) }
    end
  end
end
