require "spec_helper"

describe Nfe::Models::ProcEventoNFe do
  let(:evento) { build :evento }
  let(:retEvento) { build :retEvento }

  subject { described_class.new(evento, retEvento) }

  let(:xml) do
    "<procEventoNFe xmlns=\"http://www.portalfiscal.inf.br/nfe\" versao=\"1.00\">"\
      "#{evento.to_xml}"\
      "#{retEvento.to_xml}"\
    "</procEventoNFe>"
  end

  describe "#to_xml" do
    it "returns a formatted xml" do
      expect(subject.to_xml).to eql xml
    end
  end
end
