require "spec_helper"
require_relative "shared_examples_for_ICMS102"

describe Nfe::Models::Taxes::ICMS102 do
  subject { build(:icms102) }

  it "has a valid factory" do
    expect(subject).to be_valid
  end

  it { is_expected.to validate_inclusion_of(:orig).in_array([0, 1, 2]) }
  it { is_expected.to validate_presence_of :csosn }

  it_should_behave_like "a ICMS102", :icms102, "", Nfe::Models::Taxes::ICMS102.new
end
