require "spec_helper"
require_relative "shared_examples_for_ICMS300"

describe Nfe::Models::Taxes::ICMS300 do
  subject { build(:icms300) }

  it "has a valid factory" do
    expect(subject).to be_valid
  end

  it { is_expected.to validate_inclusion_of(:orig).in_array([0, 1, 2]) }
  it { is_expected.to validate_presence_of :csosn }


  it_should_behave_like "a ICMS300", :icms300, "", Nfe::Models::Taxes::ICMS300.new
end
