require "spec_helper"
require_relative "shared_examples_for_ICMS400"

describe Nfe::Models::Taxes::ICMS400 do
  subject { build(:icms400) }

  it "has a valid factory" do
    expect(subject).to be_valid
  end

  it { is_expected.to validate_inclusion_of(:orig).in_array([0, 1, 2]) }
  it { is_expected.to validate_presence_of :csosn }

  it_should_behave_like "a ICMS400", :icms400, "", Nfe::Models::Taxes::ICMS400.new
end
