require "spec_helper"
require_relative "shared_examples_for_COFINSNT"

describe Nfe::Models::Taxes::PISCOFINSNT do
  subject { build(:piscofinsnt) }

  it { is_expected.to validate_presence_of(:cst) }
  it { is_expected.to validate_inclusion_of(:cst).in_array(["04", "06", "07", "08", "09"]) }

  it_should_behave_like "a COFINSNT", :piscofinsnt, "",
    Nfe::Models::Taxes::PISCOFINSNT.new
end
