require "spec_helper"

shared_examples "a wsdl" do |has_consult_emitter: true|

  describe '#authorize' do
    subject { super().authorize }
    it { is_expected.to eq url(authorize) }
  end

  describe '#situation' do
    subject { super().situation }
    it { is_expected.to eq url(situation) }
  end

  describe '#disenable' do
    subject { super().disenable }
    it { is_expected.to eq url(disenable) }
  end

  describe '#event' do
    subject { super().event }
    it { is_expected.to eq url(event) }
  end

  describe '#service_status' do
    subject { super().service_status }
    it { is_expected.to eq url(service_status) }
  end

  describe '#consult_emitter' do
    subject { super().consult_emitter }
    it { is_expected.to eq url(consult_emitter) }
  end if has_consult_emitter

  def url(url)
    url = "#{host}#{url}" unless url.match(/^http/)
    url
  end
end
